Bug 926037 - FTBFS
Summary: FTBFS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rrdtool
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 924938
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-23 11:12 UTC by Remi Collet
Modified: 2013-03-25 10:49 UTC (History)
1 user (show)

Fixed In Version: rrdtool-1.4.7-13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-25 10:49:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Remi Collet 2013-03-23 11:12:13 UTC
This is mostly a tracker for the FTBFS issue, detected during PHP 5.5 rebuild (but not related to PHP, as local F18 test build works)

In rawhide, seems a file/libtool issue.
http://koji.fedoraproject.org/koji/getfile?taskID=5156959&name=build.log

*** Warning: the command libtool uses to detect shared libraries,
*** /usr/bin/file, produces output that libtool cannot recognize.
*** The result is that libtool may fail to recognize shared libraries
*** as such.  This will affect the creation of libtool libraries that
*** depend on shared libraries, but programs linked with such libtool
*** libraries will work regardless of this problem.  Nevertheless, you
*** may want to report the problem to your system manager and/or to

In F19, seems a ruby issue
http://koji.fedoraproject.org/koji/getfile?taskID=5160294&name=build.log

ake[3]: *** No rule to make target `/var/tmp/rrdtool-1.4.7-tmpinstall/usr/include/x86_64-linux/ruby/config.h', needed by `main.o'.  Stop.
m

Comment 1 Jaroslav Škarvada 2013-03-24 22:45:34 UTC
(In reply to comment #0)
> This is mostly a tracker for the FTBFS issue, detected during PHP 5.5
> rebuild (but not related to PHP, as local F18 test build works)
> 
> In rawhide, seems a file/libtool issue.
> http://koji.fedoraproject.org/koji/getfile?taskID=5156959&name=build.log
> 
I will try to check this tmrw.

> In F19, seems a ruby issue
> http://koji.fedoraproject.org/koji/getfile?taskID=5160294&name=build.log
> 
> ake[3]: *** No rule to make target
> `/var/tmp/rrdtool-1.4.7-tmpinstall/usr/include/x86_64-linux/ruby/config.h',
> needed by `main.o'.  Stop.
>
I guess this one is ruby bug 921650, workaround is probably something similar to bug 921650 comment 7.

Comment 2 Jaroslav Škarvada 2013-03-25 09:05:53 UTC
(In reply to comment #1)
> > In rawhide, seems a file/libtool issue.
> > http://koji.fedoraproject.org/koji/getfile?taskID=5156959&name=build.log
> > 
> I will try to check this tmrw.
> 
Confirmed with jkaluza, this is regression in 'file'. It adds one more space to its output, i.e. affected 'file' (notice spacing after 'ELF 64-bit LSB' string):
$ file /usr/lib64/libstdc++.so.6.0.18 
/usr/lib64/libstdc++.so.6.0.18: ELF 64-bit LSB  shared object, x86-64, version 1 (GNU/Linux), dynamically linked, BuildID[sha1]=674a2a886d1232323a6f9c9fd896cc165d6ed413, stripped

unaffected 'file':
$ file /usr/lib64/libstdc++.so.6.0.18 
/usr/lib64/libstdc++.so.6.0.18: ELF 64-bit LSB shared object, x86-64, version 1 (GNU/Linux), dynamically linked, BuildID[sha1]=674a2a886d1232323a6f9c9fd896cc165d6ed413, stripped

This is resolved in file-5.14-2.

So I am moving to the ruby issue now.

But in the meantime there appears one more thing that blocks the rebuild - perl bug 924938 :)

Comment 3 Jaroslav Škarvada 2013-03-25 10:19:37 UTC
All, but perl should be workarounded in rrdtool-1.4.7-13. AFAIK the perl folks resolved the perl issue by untagging.


Note You need to log in before you can comment on or make changes to this bug.